Application: gvSIG desktop - gvSIG bugs #4941
[PG] Error en la seleccion por polilinea
10/02/2018 11:29 AM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Oscar Martinez

Category:

Target version: 2.5.0-2911 (rev. org.gvsig.desktop-2.0.239)

Severity: Minor Add-on version:

gvSIG version: 3.0.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al parecer se comporta como la seleccion por poligono, seleccionando mas geometrias de las que toca, y no permitiendo usar una
linea con un solo segmento para realizar la seleccion.

Funciona como seleccion por poligono: cierra la polilinea (primer y

ultimo vértice los une virtualmente) y selecciona los elementos que
intersectan con ese poligono, en lugar de con la polilinea.

Por eso mismo, cuando dibujas una polilinea de 2 vértices solo, falla.
Sdlo funciona (de manera incorrecta) con polilineas de mas de 2 vértices.

Associated revisions

Revision 43938 - 10/02/2018 01:45 PM - Oscar Martinez

refs #4941, solucionado problema en la herramienta de seleccién por polilinea

History

#1 - 10/02/2018 11:30 AM - Joaquin del Cerro Murciano

- Subject changed from Error en la seleccion por polilinea to [PG] Error en la seleccion por polilinea
#2 - 10/02/2018 01:58 PM - Oscar Martinez
- Target version changed from 3.0.0 to 2.5.0-2911 (rev. org.gvsig.desktop-2.0.239)

- Status changed from New to Fixed

#3 - 02/18/2019 05:14 PM - Alvaro Anguix
- Status changed from Fixed to Closed
